#!/bin/sh
# Version: 0.2.0
# Author: Dimitrios Dimitrakos mail@dimitrios.de
# $Id: del.sh,v 1.2 2004/10/19 13:55:11 dimi Exp $

vco_user=`id -n -u`
homedir=`cat /etc/passwd|grep "^${vco_user}:"|cut -f6 -d ':'`
. $homedir/.vdrconvert/vdrconvert.env

if [ ! -z "$SERVER" ]
then
        ssh $SERVER $0 $1 "'$2'"
else

        TEMPFILE=/tmp/vdrc.$$
        mv $VCOQUEUEDIR/$1 $TEMPFILE
        for i in `cat $TEMPFILE`
        do 
	        [ "$i" != "$2" ] && printf "%s " $i >> $VCOQUEUEDIR/$1
        done
        [ -f $TEMPFILE ] && rm $TEMPFILE > /dev/null 2>&1
        $VDRCONVERTBINDIR/cap.sh $1
fi

